[arch-commits] Commit in swh-plugins/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 18 02:47:05 EDT 2009


    Date: Saturday, April 18, 2009 @ 02:47:04
  Author: eric
Revision: 35910

Merged revisions 35902 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/swh-plugins/trunk

........
  r35902 | eric | 2009-04-18 02:05:13 -0400 (Sat, 18 Apr 2009) | 2 lines
  
  upgpkg: swh-plugins 0.4.15-2
      Added license
........

Modified:
  swh-plugins/repos/extra-i686/	(properties)
  swh-plugins/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)


Property changes on: swh-plugins/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /swh-plugins/trunk:1-8772
   + /swh-plugins/trunk:1-35909

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-18 06:39:39 UTC (rev 35909)
+++ extra-i686/PKGBUILD	2009-04-18 06:47:04 UTC (rev 35910)
@@ -4,17 +4,18 @@
 
 pkgname=swh-plugins
 pkgver=0.4.15
-pkgrel=1
+pkgrel=2
 pkgdesc="LADSPA Plugin-Collection from plugin.org.uk"
 arch=(i686 x86_64)
 url="http://plugin.org.uk/"
+license=('GPL')
 depends=('fftw' 'ladspa')
 groups=('ladspa-plugins')
 source=(http://plugin.org.uk/releases/$pkgver/$pkgname-$pkgver.tar.gz)
 md5sums=('2fbdccef2462ea553901acd429fa3573')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
 
 #Arch64 fix, -fPIC seems to be the only option
 if [ "$CARCH" = "x86_64" ]; then
@@ -22,7 +23,7 @@
       export CXXFLAGS="$CFLAGS"
 fi
 
- ./configure --prefix=/usr
+ ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list